| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes
Tp::MemberFunctor7< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

List of all members.

## Public Types

- typedef R(T::* FunctionType )(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7)
- typedef R ResultType

## Public Member Functions

- MemberFunctor7 (T *object, FunctionType fn)
- ResultType operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5, Arg6 a6, Arg7 a7) const

## Public Attributes

- T * object
- FunctionType fn

### template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>
struct Tp::MemberFunctor7< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >

## Member Typedef Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

typedef R(T::* Tp::MemberFunctor7< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::FunctionType)(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7)

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

typedef R Tp::MemberFunctor7< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::ResultType

## Constructor & Destructor Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

Tp::MemberFunctor7< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::MemberFunctor7 | ( | T * | object,
|  | FunctionType | fn
| ) |  | `[inline]`

## Member Function Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

ResultType Tp::MemberFunctor7< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5,
|  | Arg6 | a6,
|  | Arg7 | a7
| ) |  | const`[inline]`

## Member Data Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

T* Tp::MemberFunctor7< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::object

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

FunctionType Tp::MemberFunctor7< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >::fn